### Hierarchy

- AccountRepositoryImpl

### Implements

- AccountRepository

## Index

### Constructors

- constructor

### Methods

- checkAccount
- getNonce
- lazyRegistration
- registration
- unsubscribe

## Constructors

### constructor

- new AccountRepositoryImpl(transport: HttpTransport): AccountRepositoryImpl

- - Defined in repository/account/AccountRepositoryImpl.ts:14

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns AccountRepositoryImpl

## Methods

### checkAccount

- checkAccount(account: Account): Promise<Account>

- Implementation of AccountRepository.checkAccount

  - Defined in repository/account/AccountRepositoryImpl.ts:35

  #### Parameters

  - ##### account: Account

  #### Returns Promise<Account>

### getNonce

- getNonce(account: Account): Promise<number>

- Implementation of AccountRepository.getNonce

  - Defined in repository/account/AccountRepositoryImpl.ts:48

  #### Parameters

  - ##### account: Account

  #### Returns Promise<number>

### lazyRegistration

- lazyRegistration(account: Account): Promise<Account>

- Implementation of AccountRepository.lazyRegistration

  - Defined in repository/account/AccountRepositoryImpl.ts:29

  #### Parameters

  - ##### account: Account

  #### Returns Promise<Account>

### registration

- registration(account: Account): Promise<Account>

- Implementation of AccountRepository.registration

  - Defined in repository/account/AccountRepositoryImpl.ts:20

  #### Parameters

  - ##### account: Account

  #### Returns Promise<Account>

### unsubscribe

- unsubscribe(account: Account): Promise<void>

- Implementation of AccountRepository.unsubscribe

  - Defined in repository/account/AccountRepositoryImpl.ts:44

  #### Parameters

  - ##### account: Account

  #### Returns Promise<void>

Generated using TypeDoc